# List of order statuses

Detailed information on order status within the e-shop.

Endpoint: GET /api/orders/statuses
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.defaultStatus` (integer, required)

  - `data.statuses` (array, required)

  - `data.statuses.id` (integer, required)
    order status id

  - `data.statuses.name` (string, required)
    order status name

  - `data.statuses.system` (boolean, required)
    Is this the system status?

  - `data.statuses.order` (integer, required)
    status order sequence in the administration

  - `data.statuses.markAsPaid` (boolean, required)
    Should the order be marked as paid in this status?

  - `data.statuses.color` (string,null)
    color of orders in this status

  - `data.statuses.backgroundColor` (string,null)
    background of order in this status

  - `data.statuses.changeOrderItems` (boolean, required)
    change status of the items in the order

  - `data.statuses.stockClaimResolved` (boolean, required)
    stock demand resolved

  - `data.statuses.documents` (object, required)

  - `data.statuses.documents.generateProformaInvoice` (boolean, required)
    proforma invoice is generated in this status.

  - `data.statuses.documents.generateInvoice` (boolean, required)
    tax document is generated in this status.

  - `data.statuses.documents.generateDeliveryNote` (boolean, required)
    delivery note is generated in this status.

  - `data.statuses.documents.generateProofPayment` (boolean,null, required)
    proof of payment is generated in this status.

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


